Package org.eclipse.net4j.util.ui

## Class GlobalPartAdapter

- java.lang.Object
- - org.eclipse.net4j.util.ui.GlobalPartAdapter

- All Implemented Interfaces:
    `IPageListener`, `IPartListener2`, `IWindowListener`

      public class GlobalPartAdapter
      extends java.lang.Object
      implements IWindowListener, IPageListener, IPartListener2

  Since:
    3.10
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalPartAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `void` | `pageActivated​(IWorkbenchPage page)` |
    `void` | `pageClosed​(IWorkbenchPage page)` |
    `void` | `pageOpened​(IWorkbenchPage page)` |
    `void` | `partActivated​(IWorkbenchPartReference partRef)` |
    `void` | `partBroughtToTop​(IWorkbenchPartReference partRef)` |
    `void` | `partClosed​(IWorkbenchPartReference partRef)` |
    `void` | `partDeactivated​(IWorkbenchPartReference partRef)` |
    `void` | `partHidden​(IWorkbenchPartReference partRef)` |
    `void` | `partInputChanged​(IWorkbenchPartReference partRef)` |
    `void` | `partOpened​(IWorkbenchPartReference partRef)` |
    `void` | `partVisible​(IWorkbenchPartReference partRef)` |
    `void` | `windowActivated​(IWorkbenchWindow window)` |
    `void` | `windowClosed​(IWorkbenchWindow window)` |
    `void` | `windowDeactivated​(IWorkbenchWindow window)` |
    `void` | `windowOpened​(IWorkbenchWindow window)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalPartAdapter

          public GlobalPartAdapter()

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### windowActivated

          public void windowActivated​(IWorkbenchWindow window)

      Specified by:
        `windowActivated` in interface `IWindowListener`

    - #### windowDeactivated

          public void windowDeactivated​(IWorkbenchWindow window)

      Specified by:
        `windowDeactivated` in interface `IWindowListener`

    - #### windowClosed

          public void windowClosed​(IWorkbenchWindow window)

      Specified by:
        `windowClosed` in interface `IWindowListener`

    - #### windowOpened

          public void windowOpened​(IWorkbenchWindow window)

      Specified by:
        `windowOpened` in interface `IWindowListener`

    - #### pageActivated

          public void pageActivated​(IWorkbenchPage page)

      Specified by:
        `pageActivated` in interface `IPageListener`

    - #### pageClosed

          public void pageClosed​(IWorkbenchPage page)

      Specified by:
        `pageClosed` in interface `IPageListener`

    - #### pageOpened

          public void pageOpened​(IWorkbenchPage page)

      Specified by:
        `pageOpened` in interface `IPageListener`

    - #### partActivated

          public void partActivated​(IWorkbenchPartReference partRef)

      Specified by:
        `partActivated` in interface `IPartListener2`

    - #### partBroughtToTop

          public void partBroughtToTop​(IWorkbenchPartReference partRef)

      Specified by:
        `partBroughtToTop` in interface `IPartListener2`

    - #### partClosed

          public void partClosed​(IWorkbenchPartReference partRef)

      Specified by:
        `partClosed` in interface `IPartListener2`

    - #### partDeactivated

          public void partDeactivated​(IWorkbenchPartReference partRef)

      Specified by:
        `partDeactivated` in interface `IPartListener2`

    - #### partOpened

          public void partOpened​(IWorkbenchPartReference partRef)

      Specified by:
        `partOpened` in interface `IPartListener2`

    - #### partHidden

          public void partHidden​(IWorkbenchPartReference partRef)

      Specified by:
        `partHidden` in interface `IPartListener2`

    - #### partVisible

          public void partVisible​(IWorkbenchPartReference partRef)

      Specified by:
        `partVisible` in interface `IPartListener2`

    - #### partInputChanged

          public void partInputChanged​(IWorkbenchPartReference partRef)

      Specified by:
        `partInputChanged` in interface `IPartListener2`